---
id: swift
title: swift
hide_title: true
hide_table_of_contents: true
sidebar_label: swift
description: Find Dylib files for given Swift search criteria
---
## ipsw dyld search swift

Find Dylib files for given Swift search criteria

```
ipsw dyld search swift <DSC> [flags]
```

### Options

```
  -c, --class string      Search for specific Swift class regex
  -h, --help              help for swift
  -i, --image strings     Images to search (default: all)
  -p, --protocol string   Search for specific Swift protocol regex
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw dyld search](/docs/cli/ipsw/dyld/search)	 - Find Dylib files for given search criteria

